> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Details

> Get details for a specific IdP group in this Enterprise

Requires an enterprise admin personal API key.

Returns detailed information about a specific enterprise IdP (Identity Provider) group, including its organization associations and roles.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/groups/{group_name}
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/groups/{group_name}:
    get:
      tags:
        - groups
      summary: Enterprise Group Details Endpoint
      operationId: enterprise_group_details_endpoint_v2_enterprise_groups__group_name__get
      parameters:
        - in: path
          name: group_name
          required: true
          schema:
            title: Group Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseGroupResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    EnterpriseGroupResponse:
      properties:
        group_name:
          title: Group Name
          type: string
        org_count:
          title: Org Count
          type: integer
        role_by_org_id:
          additionalProperties:
            type: string
          title: Role By Org Id
          type: object
      required:
        - group_name
        - org_count
        - role_by_org_id
      title: EnterpriseGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````